Bug 11346 - Libraries are not built with the RELRO protection
Libraries are not built with the RELRO protection
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2015-06-19 07:30 UTC by Andreas Schneider
Modified: 2015-11-26 10:01 UTC (History)
3 users (show)

See Also:

v4-2-test patch (1.02 KB, patch)
2015-06-23 07:00 UTC, Andreas Schneider
gd: review+
asn: review? (metze)

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-06-19 07:30:23 UTC
Libraries are not built with the RELRO protection.

Patches will follow ...
Comment 1 Andreas Schneider 2015-06-23 07:00:58 UTC
Created attachment 11185 [details]
v4-2-test patch
Comment 2 Guenther Deschner 2015-06-23 09:22:07 UTC
Comment on attachment 11185 [details]
v4-2-test patch

Looks good to me.
Comment 3 Andreas Schneider 2015-11-24 18:00:47 UTC
Karolin, please add to v4-2-test. Thanks!
Comment 4 Karolin Seeger 2015-11-25 08:51:56 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-11-26 10:01:51 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-2-test.
Closing out bug report.